Environment setup: software installations to complete before the start of the course.

# Setting-up your environment
Please install the following software on your personal laptop **before** the 
start of the course.
<br/>  
<br/>  


## Anaconda and Jupyter notebook
[**Anaconda**](https://www.anaconda.com) is an open-source python distribution 
that bundles **python3** along with a large number of useful python modules 
such as **SciPy**, **NumPy**, or **Pandas**.  
It also bundles other useful software such as the **conda** package manager 
(which allows easy installation of bioinformatics software) and 
**Jupyter Notebook**.  
Anaconda is cross-plateform and available for both Windows and UNIX (Linux, 
MacOS) operating systems.

[**Jupyter Notebook**](https://jupyter.org) is an open-source application that 
runs locally in your web-browser and allows you to create documents that 
contain both code and text annotations (in Markdown).
<br/>  
<br/>  


## Installing anaconda
**To install anaconda:**

* go to <https://www.anaconda.com/products/individual>.
* download the version of anaconda matching your operating system.
* follow the installer's instructions.

**To test whether your installation is working**, try to launch Jupyter Notebook:

* UNIX: open a terminal and type `jupyter-notebook`.
* Windows: in the start menu, search for "Jupyter Notebook (Anaconda)" and start the application.

Launching the application should open a new tab in your default web-browser 
with the Jupyter Notebook launch page. From there you can browse your computer 
for existing notebooks (`.ipynb` files), or you can click on `new` > `Python3` 
to open a new empty notebook.

An introduction to Jupyter Notebook will be given at the start of the lecture, 
so installing anaconda and checking that Jupyter Notebook is running is all you 
need to do for now.
<br/>  
<br/>  
